#! /usr/bin/env python3
# encoding: utf-8

def flatten_dict(root, glue=" ", prefix=[]):
	lines = []
	
	for k, v in root.items():
		new_prefix = prefix + [k]
		
		if type(v) == dict:
			lines.extend(flatten_dict(v, glue, new_prefix))
		else:
			lines.append((glue.join(new_prefix), v))
	
	return lines
